## The WebAssembly library for ImageMagick: magick-wasm

[![Build Status](https://github.com/dlemstra/magick-wasm/workflows/main/badge.svg)](https://github.com/dlemstra/magick-wasm/actions)
[![GitHub license](https://img.shields.io/badge/license-Apache%202-green.svg)](https://raw.githubusercontent.com/dlemstra/magick-wasm/main/license.txt)
[![Bluesky](https://img.shields.io/badge/Bluesky-0285FF?logo=bluesky&logoColor=fff)](https://bsky.app/profile/dirk.lemstra.org)
[![Donate](https://img.shields.io/badge/%24-donate-ff00ff.svg)](https://github.com/sponsors/dlemstra)

ImageMagick is a powerful image manipulation library that supports over [100 major file formats](https://www.imagemagick.org/script/formats.php) (not including sub-formats).
With magick-wasm you can use ImageMagick in your web application without doing a callback to an api.

## Documentation

For examples on how to use magick-wasm view the [https://github.com/dlemstra/magick-wasm/blob/main/demo/demo.ts](demo/demo.ts) or demo project: https://github.com/dlemstra/magick-wasm-docs.
For more information about ImageMagick go to: [http://www.imagemagick.org/](http://www.imagemagick.org/).

## Download

You can download the npm package from here: https://www.npmjs.com/package/@imagemagick/magick-wasm.

Follow me on bluesky ([@dirk.lemstra.org](https://bsky.app/profile/dirk.lemstra.org)) to receive information about new downloads and changes to magick-wasm and ImageMagick.

## Release notes

The release notes can be found on [GitHub](https://github.com/dlemstra/magick-wasm/releases/tag/0.0.35).

## Donate

If you have an uncontrollable urge to give me something for the time and effort I am putting into this project then please buy me something from my
[amazon wish list](http://www.amazon.de/registry/wishlist/2XFZAC3J04WAY) or send me an [amazon gift card](https://www.amazon.de/Amazon-Gutschein-per-E-Mail-Amazon/dp/B0054PDOV8).
If you prefer to use PayPal then [click here](https://www.paypal.me/DirkLemstra). You can also sponsor me through [GitHub Sponsors](https://github.com/sponsors/dlemstra).
